> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/14/internals/system-catalogs/pg_available_extensions.md).

# 51.66. pg\_available\_extensions

pg\_available\_extensions 檢視表列出可以安裝的延伸功能。另請參閱 [pg\_extension](/14/internals/system-catalogs/pg_extension.md) 系統目錄，該目錄顯示了目前已安裝的延伸功能。

#### **Table 51.67. `pg_available_extensions` Columns**

| Name                | Type   | Description               |
| ------------------- | ------ | ------------------------- |
| `name`              | `name` | Extension name            |
| `default_version`   | `text` | 預設版本的名稱；如果未指定，則為 NULL     |
| `installed_version` | `text` | 目前安裝的延伸功能版本，如果未安裝，則為 NULL |
| `comment`           | `text` | 延伸功能的控制檔案中的註解文字內容         |

pg\_available\_extensions 檢視表是唯讀的。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/14/internals/system-catalogs/pg_available_extensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
